Skip to main content
PUT
/
skills
/
{slug}
curl -X PUT "https://api.case.dev/skills/%3Cstring%3E" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "<string>", "slug": "<string>", "summary": "<string>" }'
{
  "slug": "<string>",
  "name": "<string>",
  "summary": "<string>",
  "content": "<string>",
  "tags": [
    "<string>"
  ],
  "metadata": {},
  "version": 123,
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

slug
string
required

Skill slug to update

Body

application/json

Fields to update

name
string
Maximum string length: 256
slug
string

New slug (renames the skill)

Maximum string length: 128
summary
string | null
Maximum string length: 1000
content
string
tags
string[]
metadata
object

Response

Skill updated

slug
string
name
string
summary
string | null
content
string
tags
string[]
metadata
object
version
integer
updated_at
string<date-time>